Bug 13879 - DataTables server-side processing for patrons - sort is broken
Summary: DataTables server-side processing for patrons - sort is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13021
Blocks: 13891
  Show dependency treegraph
 
Reported: 2015-03-20 13:11 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13879: Fix sort on patron search (guarantor and linked to orders) (2.25 KB, patch)
2015-03-20 13:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 13879: Fix sort on patron search (guarantor and linked to orders) (2.49 KB, patch)
2015-03-20 16:45 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13879: Fix sort on patron search (guarantor and linked to orders) (2.45 KB, patch)
2015-03-20 18:23 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-20 13:11:58 UTC
Bug 13021 introduced a regression for guarantor search and patron search for orders, the sort is broken.
Comment 1 Jonathan Druart 2015-03-20 13:17:27 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-03-20 16:45:24 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-03-20 18:23:27 UTC
Created attachment 37072 [details] [review]
[PASSED QA] Bug 13879: Fix sort on patron search (guarantor and linked to orders)

This patch fixes a regression introduced by bug 13021.

Test plan:
1/ Go on a child detail page > edit
2/ Click on "Set a patron" as a guarantor
3/ Launch a search a confirm that you are able to sort on card, name and
date of birth.
Note that the Address column is not sortable (it's a limitation, could
be fixed later).
4/ Go on the acquisition module, create an order.
5/ Click on the "Add user" button.
6/ Launch a search a confirm that you are able to sort on card, name and
category

Without patch, I could not sort on names. With patch, sorting works as dexcribed in Test plan

Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-04-08 14:01:49 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Tomás Cohen Arazi 2015-04-13 13:44:25 UTC
Forgot to mark as pushed.